/* style to setup the default layout of each card */
ul.sp_items {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(240px, 1fr));
	grid-gap: 1rem;
}

/* apply a grey border and rounded corners to each card */
ul.sp_items>li {
	border: 1px solid #E2E2E2;
	border-radius: .5rem;
	list-style: none;
}

/* create a section for an image. also round the top left/right corners of the image */
ul.sp_items>li>figure {
	display: flex;
	aspect-ratio: 16/10;
	overflow: hidden;
	border-top-left-radius: .5rem;
	border-top-right-radius: .5rem;
	position: relative;
}

/* fill the image section with the image */
ul.sp_items>li>figure>img {
	display: block;
	object-fit: cover;
	height: auto;
	width: 100%;
}

/* create a section for text information */
ul.sp_items>li .sp_card_content {
	padding: 8px;
}

/* style the heading */
ul.sp_items .sp_card_heading {
	font-weight: 600;
}

/* style the date details */
ul.sp_items .sp_card_dates {}

/* style the location details */
ul.sp_items .sp_card_location {}

/* style the other details */
ul.sp_items .sp_card_desc {}

/* style the booking button/link */
ul.sp_items .sp_card_book_btn {}

/*modify the layout for larger screen sizes */
/* Screen larger than 600px? 2 column */
@media (min-width: 600px) {
	.sp_cards {
		grid-template-columns: repeat(2, 1fr);
	}
}

/* Screen larger than 900px? 3 columns */
@media (min-width: 900px) {
	.sp_cards {
		grid-template-columns: repeat(3, 1fr);
	}
}
